<?php
/*
		GNU General Public License     ||     http://www.gnu.org/copyleft/gpl.html
		**************************************************************************		
    This work is free software; you can redistribute it and/or modify it under 
    the terms of the GNU General Public License. This work is distributed in 
    the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
    the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR USE. 
    **************************************************************************
*/

// Settings
$cachedir = 'func/cache/'; // Directory to cache files in
$cachetime = 1000; // Seconds to cache files for
$cacheext = 'xgen'; // Extension to give cached files (usually cache, htm, txt)

// Ignore List
//$ignore_list = array(
//'ilovejackdaniels.com/rss.php',
//'ilovejackdaniels.com/search/'
//);

// Script
$page = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; // Requested page
$cachefile = $cachedir . md5($page) . '.' . $cacheext; // Cache file to either load or create

$ignore_page = false;
for ($i = 0; $i < count($ignore_list); $i++) {
$ignore_page = (strpos($page, $ignore_list[$i]) !== false) ? true : $ignore_page;
}

$cachefile_created = ((@file_exists($cachefile)) and ($ignore_page === false)) ? @filemtime($cachefile) : 0;
@clearstatcache();

// Show file from cache if still valid
if (time() - $cachetime < $cachefile_created) {

ob_start('ob_gzhandler');
readfile($cachefile);
ob_end_flush();
exit();

}

// If we're still here, we need to generate a cache file

ob_start();

?>